if {[catch {package require Tcl 8.0}]} return
global tcl_platform env
if {[string range $tcl_platform(os) 0 6] == "Windows"} {
    package ifneeded os 1.0 "set tmpPath \"\$env(PATH)\" ; set env(PATH) \"$dir;\$env(PATH)\" ; [list load [file join $dir tclOS.dll]] ; set env(PATH) \"\$tmpPath\""
} elseif {$tcl_platform(os) == "Linux"} {
    if {[file exists [file join $dir Linux/libtclOS.so]]} {
        package ifneeded os 1.0 "[list load [file join $dir Linux/libtclOS.so]]"
    } else {
        package ifneeded os 1.0 "[list load [file join $dir libtclOS.so]]"
    }
} elseif {$tcl_platform(os) == "Darwin"} {
    if {[file exists [file join $dir Darwin/libtclOS.dylib]]} {
        package ifneeded os 1.0 "[list load [file join $dir Darwin/libtclOS.dylib]]"
    } else {
        package ifneeded os 1.0 "[list load [file join $dir libtclOS.dylib]]"
    }
} else {
    package ifneeded os 1.0 "[list load [file join $dir libtclOS.so]]"
}
